Subject: [GIT PULL] ARM: OMAP: IRQ domain support for INTC

From: [email-masked] (Cousson, Benoit)
Date: Mon, 5 Mar 2012 16:19:26 +0100

On 3/5/2012 4:03 PM, Johan Hovold wrote:
> On Mon, Mar 05, 2012 at 03:25:01PM +0100, Cousson, Benoit wrote:
>> On 3/5/2012 2:58 PM, Johan Hovold wrote:
>>> On Wed, Feb 29, 2012 at 05:15:25PM +0100, Cousson, Benoit wrote:
>>>> On 2/29/2012 12:48 AM, Tony Lindgren wrote:
>>>>> * Cousson, Benoit<[email-masked]>    [120227 08:04]:
>>>>> Hmm, looks like this now produces the following warning at least on omap3:
>>>>
>>>> Yes, Rajendra has just reported that issue with linux-next.
>>>
>>> I'm getting the same warning and initialisation failure with 3.3-rc6 on
>>> overo. Are these fixes queued up for 3.3 (and not just 3.4) somewhere?
>>
>> It is under review, I posted the series last Friday:
>> mfd: twl: Fix for irqdomain/next + SPARSE_IRQ + MMC card detect
>>
>> It will be anyway material for 3.4 since it is in linux-next.
>
> Yes, I noted that there was a fix against linux-next. My question was
> whether any fix is planned for 3.3 as twl4030 is broken with SPARSE_IRQ
> enabled.
>
> Disabling SPARSE_IRQ will be the only workaround until 3.4 is out then?

Mmm, but is SPARSE_IRQ used to work before on OMAP3?

Benoit